## webkit 1.3.13

=== debian/changelog ===
webkit (1.3.13-0ubuntu2) natty; urgency=low

  * debian/patches/04_fix_header_for_strict.patch:
    - Add upstream patch to fix headers for compilation with strict mode

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 20 Apr 2011 10:26:39 +0200

webkit (1.3.13-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/03_fixing_jit_arm_crashes.patch:
    - Applied upstream
  * debian/patches/03_gtk_doc.patch:
    - Fix documentation build

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 07 Apr 2011 09:14:12 +1000

webkit (1.3.12-0ubuntu3) natty; urgency=low

  [ Ricardo Salveti de Araujo ]
  * debian/patches/03_fixing_jit_arm_crashes.patch:
    - Fixing JIT ARM crashes (LP: #728211)

 -- Jani Monoses <jani@ubuntu.com>  Thu, 10 Mar 2011 16:29:12 +0200

webkit (1.3.12-0ubuntu2) natty; urgency=low

  * Add bzr-builddeb configuration (merge mode).
  * Add 02_no_amd64_overcommit: Do not try to reserve 1 GB of memory for pool
    pages on x86_64, as this will crash on machines with less than ~ 1.5 GB
    RAM. This only works if overcommitting memory is enabled, which we don't
    have by default. (LP: #710582)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 28 Feb 2011 19:26:00 +0100

webkit (1.3.12-0ubuntu1) natty; urgency=low

  * New upstream release
  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Fix versions in build-depends
    - Don't build-depend on libgeoclue-dev (it's in Universe)
    - Add Vcs-Bzr link
    - Make libwebkitgtk-1.0-common conflict with libwebkit-1.0-common
  * debian/rules:
    - Fix documentation build
    - Disable geolocation support (dependencies in Universe)
  * debian/*.symbols:
    - Use regexp to add symbols that only appear on the ARM build
    - Use regexp to disable C++ private symbols
    - Remove geolocation symbols
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Feb 2011 16:02:22 +1100

webkit (1.3.11-0ubuntu3) natty; urgency=low

  * debian/control:
    - Use new libgail package names

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Feb 2011 10:39:00 +1100

webkit (1.3.11-1) experimental; urgency=low

  * New development release
  * debian/patches/01_expose_less_symbols.patch:
  - export less symbols, and don't build DRT
  * debian/control:
  - updated to reflect changes in naming of packages related to GTK+ 3

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 19 Jan 2011 11:05:31 -0200

webkit (1.3.11-0ubuntu2) natty; urgency=low

  * debian/control:
    - Use new GTK3 package names

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Feb 2011 10:19:42 +1100

webkit (1.3.11-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #718474)
  * debian/control:
    - Bump build-depends on libsoup2.4-dev
  * debian/rules:
    - Use new paths
  * debian/libwebkitgtk-1.0-0.symbols:
  * debian/libwebkitgtk-3.0-0.symbols:
    - Updated
  * debian/patches/01_missing_armv7_files.patch:
  * debian/patches/10_gtk3.patch:
    - Applied upstream
  * debian/patches/01_gtk_doc_paths.patch:
    - Fix documentation paths

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 18 Feb 2011 15:52:50 +1100

webkit (1.3.10-1ubuntu2) natty; urgency=low

  * debian/patches/10_gtk3.patch:
    - With GTK+ 3, include <gtk/gtkx.h> for GtkSocket (LP: #714457).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Feb 2011 17:10:57 +0000

webkit (1.3.10-1ubuntu1) natty; urgency=low

  * Synchronize on Debian, remaining diff is:
  * debian/libwebkitgtk-1.0-0.symbols, debian/libwebkitgtk-3.0-0.symbols:
    - Use regexp to add symbols that only appear on the ARM build
    - Use regexp to disable C++ private symbols
  * debian/patches/01_missing_armv7_files.patch:
    - Add files missing for ARMv7 build
  * debian/control, debian/rules:
    - build without geoclue, it's in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Jan 2011 18:37:41 +0100

webkit (1.3.10-1) experimental; urgency=low

  * New development release
  * debian/control:
  - Build-Depend on GTK+3 >= 2.99.1 to avoid problems with the multiple
    breakages
  * debian/rules:
  - adapt for source layout changes

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 13 Jan 2011 10:37:55 -0200

webkit (1.3.9-1) experimental; urgency=low

  * New development release
  - fixes build with newest GTK+
  * debian/control:
  - build-depend on GTK+ >= 2.91.7 for the GTK+3-based version
  - build-depend on gir1.2-{gtk-2.0,soup-2.4}
  - rename introspection packages to gir1.2-*
  - updated Build-Depends on gobject-introspection
  - tighten dependency of -dev packages on library packages
  - add missing ${misc:Depends}
  - update Standards-Version to 3.9.1
  * debian/rules:
  - add dh_girepository calls to actually do something to ${gir:Depends}
  - run dh_makeshlibs targetting the appropriate packages (library ones,
    not dev)
  - remove rpath from the installed binaries

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 27 Dec 2010 14:06:08 -0200

webkit (1.3.8-1) experimental; urgency=low

  * New upstream development release
  * debian/debian/gir1.0-webkit-1.0.install, debian/control,
    debian/rules, debian/libwebkit-dev.install:
  - add gir1.0-webkit-1.0 package, and enable introspection support
  - rename packages to accomodate soname change
  - add new packages for gtk3-based webkitgtk
  * debian/control, debian/rules:
  - enable building geolocation support

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 11 Aug 2010 11:10:28 -0300
