=== debian/control ===
Source: webkit
Priority: optional
Section: web
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>
Build-Depends: chrpath, debhelper (>= 5.0), libgtk2.0-dev (>= 2.10), gir1.2-gtk-2.0, libgtk-3-dev (>= 3.0), gir1.2-gtk-3.0 (>= 3.0), libpango1.0-dev (>= 1.16), libicu-dev, libxslt-dev, libsoup2.4-dev (>= 2.33.6), gir1.2-soup-2.4, libsqlite3-dev, gperf, bison, flex, libjpeg62-dev, libpng12-dev, libxt-dev, autotools-dev, libgstreamer-plugins-base0.10-dev, libenchant-dev, gtk-doc-tools, libgail-dev, libgail-3-dev, gobject-introspection (>= 0.9.12-4), libgirepository1.0-dev (>= 0.9.12-4)
Build-Conflicts: gir-repository-dev
Standards-Version: 3.9.1
Homepage: http://webkit.org/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/webkit/ubuntu

Package: libwebkitgtk-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         libwebkitgtk-1.0-common (>= ${source:Upstream-Version}),
         ${misc:Depends}
Description: Web content engine library for Gtk+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in Gtk+ applications.

Package: libwebkit-dev
Section: libdevel
Priority: extra
Architecture: all
Depends: libwebkitgtk-dev (>= ${source:Upstream-Version}),
         ${misc:Depends}
Description: Dummy package to ease upgrading to the new libwebkitgtk-dev package
 This is just a dummy package to provide an upgrade path. It's safe to
 uninstall it.

Package: libwebkitgtk-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libwebkitgtk-1.0-0 (= ${binary:Version}),
         libgtk2.0-dev,
         libsoup2.4-dev (>= 2.25.91),
         ${misc:Depends}
Conflicts: libwebkit-dev (<< 1.3.0)
Description: Web content engine library for Gtk+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create Gtk+ applications
 embedding WebKit.

Package: libwebkitgtk-1.0-common
Section: libs
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Conflicts: libwebkit-1.0-common
Description: Web content engine library for Gtk+ - data files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the data files needed by the library.

Package: libwebkitgtk-1.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libwebkitgtk-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for Gtk+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the debugging symbols for the Webkit library for Gtk+.

Package: gir1.2-webkit-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository, gir1.0-webkit-1.0
Description: GObject introspection data for the WebKit library
 This package contains introspection data for WebKit, a web content
 engine for GTK+.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libwebkitgtk-3.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         libwebkitgtk-3.0-common (>= ${source:Upstream-Version}),
         ${misc:Depends}
Description: Web content engine library for Gtk+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in Gtk+ applications.

Package: libwebkitgtk-3.0-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libwebkitgtk-3.0-0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev (>= 2.25.91),
         ${misc:Depends}
Description: Web content engine library for Gtk+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create Gtk+ applications
 embedding WebKit.

Package: libwebkitgtk-3.0-common
Section: libs
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Web content engine library for Gtk+ - data files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the data files needed by the library.

Package: libwebkitgtk-3.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libwebkitgtk-3.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for Gtk+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the debugging symbols for the Webkit library for Gtk+.

Package: gir1.2-webkit-3.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository, gir1.0-webkit-3.0
Description: GObject introspection data for the WebKit library
 This package contains introspection data for WebKit, a web content
 engine for GTK+.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
