## webkit 1.4.3

=== debian/changelog ===
webkit (1.4.3-0ubuntu3) oneiric; urgency=low

  * debian/patches/10_cherrypick_r95940.patch:
    - Avoid crashing on scrollbar unparent/reparent (LP: #851044)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 29 Sep 2011 14:54:29 -0400

webkit (1.4.3-0ubuntu2) oneiric; urgency=low

  * debian/rules: armel library has a ton of extra uninteresting
    JITStubThunked_* symbols; do not call dh_makeshlibs with -c4 on armel
    builds.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Sep 2011 15:43:11 +0200

webkit (1.4.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/libwebkitgtk-1.0-0.symbols: Update for new version.
  * debian/libwebkitgtk-3.0-0.symbols: Update for new version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Sep 2011 16:09:02 +0200

webkit (1.4.2-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * 01_expose_less_symbols.patch:
    - dropped this debian patch, debian dropped it as well
  * 02_no_amd64_overcommit: dropped, the issue is fixed in this version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jul 2011 17:25:15 +0200

webkit (1.4.1-0ubuntu2) oneiric; urgency=low

  * 03_g_const_return.patch: upstream commit, don't use G_CONST_RETURN

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jun 2011 16:08:21 +0100

webkit (1.4.1-0ubuntu1) oneiric; urgency=low

  * New upstream version, drop patches which are in the new version
  * Updated symbols lists 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jun 2011 15:09:16 +0200
