=== debian/rules ===
--- 
+++ 
@@ -191,11 +191,19 @@
 	dh_compress -a
 	dh_fixperms -a
 ifeq (2.0,$(filter 2.0,$(GTK_VERSIONS)))
+ifeq ($(DEB_BUILD_ARCH),armel)
+	dh_makeshlibs -plibwebkitgtk-1.0-0 -V 'libwebkitgtk-1.0-0 (>= 1.3.9)'
+else
 	dh_makeshlibs -plibwebkitgtk-1.0-0 -V 'libwebkitgtk-1.0-0 (>= 1.3.9)' -- -c4
+endif
 	dh_girepository --package=gir1.2-webkit-1.0
 endif
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
+ifeq ($(DEB_BUILD_ARCH),armel)
+	dh_makeshlibs -plibwebkitgtk-3.0-0 -V 'libwebkitgtk-3.0-0 (>= 1.3.9)'
+else
 	dh_makeshlibs -plibwebkitgtk-3.0-0 -V 'libwebkitgtk-3.0-0 (>= 1.3.9)' -- -c4
+endif
 	dh_girepository --package=gir1.2-webkit-3.0
 endif
 	dh_installdeb -a
