=== debian/watch ===
version=3
http://www.webkitgtk.org/ webkit-([.\d]+)\.tar\.gz
