## webkit 1.6.1

=== debian/changelog ===
webkit (1.6.1-5) unstable; urgency=low

  * debian/rules:
  - also build with stabs debug symbols format when under s390x
    patch by Aurelien Jarno <aurel32@debian.org> (Closes: #637228)
  * debian/control:
  - add Breaks for midori and claws-mail-fancy-plugin versions that
    were using the private webkit_web_view_get_selected_text symbol
    (Closes: #646095)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 01 Nov 2011 23:20:19 -0200

webkit (1.6.1-4) unstable; urgency=low

  * debian/patches/03_freebsd-fix.patch:
  - fix FreeBSD 64 bits build
  * debian/patches/04_pkgconfig-fix.patch:
  - import patch from upstream to fix pkg-config file to require the JSC
    one

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 23 Oct 2011 20:10:53 -0200

webkit (1.6.1-3) unstable; urgency=low

  * debian/patches/01_double-conversion.patch:
  - imported from upstream; fixes s390 double conversion, modified
    to also include IA64
  * debian/rules:
  - try reducing the disk space used to build webkit by using thin
    archives
  - disable silent rules to make debugging easier

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 21 Oct 2011 10:38:17 -0200

webkit (1.6.1-2) unstable; urgency=low

  * Rename source package back to webkit
  * debian/control:
  - Build-Depend on gawk, since our GNUmakefile.in has lines that are too
    long for mawk, which results in a broken GNUmakefile
  * debian/rules:
  - re-enable installing documentation

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 18 Oct 2011 09:59:20 -0200

webkitgtk+ (1.6.1-1) experimental; urgency=low

  * New upstream release
  * debian/patches/01_fix-introspection.patch:
  - Removed; applied upstream
  * debian/patches/02_notebook_scroll.patch:
  - Patch by Josselin Mouette <joss@debian.org> to ignore alt+wheel
    (Closes: #640980)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 26 Sep 2011 23:24:37 -0300

webkitgtk+ (1.5.2-1) experimental; urgency=low

  * New upstream development release
  * debian/patches/01_spoof-ua-for-calendar.patch:
  - Remove; applied upstream
  * debian/patches/01_fix-introspection.patch:
  - Fix the introspection build

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 24 Aug 2011 21:43:19 -0300

webkitgtk+ (1.4.2-2) unstable; urgency=low

  * debian/rules:
  - fix armhf special-casing to actually work as intended; thanks to
    mbiebl for finding the issue and helping resolve it
  * debian/watch:
  - provided by Michael Biebl <biebl@debian.org>; thanks! (Closes: #633446)
  * debian/patches/01_spoof-ua-for-calendar.patch:
  - steal patch from upstream (on track for 1.4.3) to make Google Calendar
    behave and not give us the mobile version
  * debian/control:
  - Build-Depend on libjpeg-dev instead of libjpeg62-dev (See #635287)
  - Re-add the libwebkit-dev package to automatically upgrade packages
    using the GTK+ 2.0 version of WebKitGTK+.
  - Fix capitalization of GTK+ in the description (Closes: #611871)
  - Set Homepage to webkitgtk.org instead of webkit.org (Closes: #589431)
  - Update to the new GI mini-policy by making the -dev packages depend on
    the appropriate gir1.2-webkit-?.0 packages (Closes: #633962)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 25 Jul 2011 21:08:52 -0300

webkitgtk+ (1.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_add-missing-file.patch:
  - removed; pushed upstream.
  * debian/rules:
  - use gstabs for mips and mipsel as well, to try to make it possible for
    the builders to build webkit
  - use -O1 for armhf to workaround compiler bug

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 10 Jul 2011 10:54:24 -0300

webkitgtk+ (1.4.1-2) unstable; urgency=low

  * debian/patches/01_add-missing-file.patch:
  - copied MIPSAssembler.h from upstream's source repository; it's missing
    from the sources list and didn't get included in the tarball, this will
    fix the build on MIPS
  * debian/control:
  - fix dependency on gtk2 to please lintian (remove -1)
  - adjust Standards-Version with no changes to the packaging

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 20 Jun 2011 14:50:27 -0300

webkitgtk+ (1.4.1-1) unstable; urgency=low

  * New upstream version, uploaded to unstable.
  * debian/*.symbols:
  - add optional symbols for some JIT stub symbols that show up in some
    platforms (i.e. ARMEL)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 06 Jun 2011 21:12:38 -0300

webkitgtk+ (1.4.0-1) experimental; urgency=low

  * debian/patches/02_plugin_check_mixed_symbols.patch,
    debian/patches/01_plugin_path.patch:
  - removed; applied upstream
  * debian/control, debian/changelog:
  - rename source package and remove the libwebkit-dev package to avoid
    automatically transitioning packages to the new version

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 29 Apr 2011 10:57:23 -0300

webkit (1.3.13-4) experimental; urgency=low

  * debian/*.symbols:
  - remove debian revision from WTFReportBacktrace@Base to make
    lintian happy
  - add optional C++ symbols for functions that use different data types
    on 32 bits architectures
  * debian/patches/02_plugin_check_mixed_symbols.patch:
  - patch from upstream bugzilla that causes webkit itself to check for
    mixed gtk symbols in a plugin before loading it

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 12 Apr 2011 09:21:29 -0300

webkit (1.3.13-3) experimental; urgency=low

  * debian/control:
  - depend on a libgtk2.0-dev version that provides introspection information
    (Closes: #621809)

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 08 Apr 2011 23:50:32 -0300

webkit (1.3.13-2) experimental; urgency=low

  * debian/patches/01_plugin_path.patch:
  - obtained from upstream; will allow not disabling flash when used with
    nspluginwrapper

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 08 Apr 2011 10:12:50 -0300

webkit (1.3.13-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01_expose_less_symbols.patch:

