=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,23 @@
 
 GTK_VERSIONS = 2.0 3.0
 
-CFLAGS = -g -Wall
-
-ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS = -g -Wall -Wl,--as-needed
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+        CFLAGS += -O0
+else
+ifeq (armhf,$(filter $(DEB_BUILD_ARCH),armhf))
+	CFLAGS += -O1
+else
         CFLAGS += -O2
-else
-        CFLAGS += -O0
+endif
 endif
 
 ifeq ($(DEB_BUILD_ARCH),alpha)
         CFLAGS += -Wl,--no-relax
 endif
 
-ifeq ($(DEB_BUILD_ARCH),s390)
+ifneq (,$(findstring $(DEB_BUILD_ARCH),mips mipsel s390 s390x))
         CFLAGS += -gstabs
 endif
 
@@ -34,11 +38,9 @@
 	dh_testroot
 
 	rm -f build-stamp install-stamp
-	-for version in $(GTK_VERSIONS); do \
-		test -d build-$${version}/Source/WebKit/gtk/docs && \
-			cd build-${version}/Source/WebKit/gtk/docs && \
-			make maintainer-clean; \
-	done
+	-test -d build/Source/WebKit/gtk/docs && \
+		cd build/Source/WebKit/gtk/docs && \
+		make maintainer-clean
 
 	-rm -rf Source/WebKit/gtk/docs/xml* Source/WebKit/gtk/docs/html* Source/WebKit/gtk/docs/sgml.stamp Source/WebKit/gtk/docs/tmpl*
 	-for file in Source/WebKit/gtk/docs/webkitgtk.prerequisites Source/WebKit/gtk/docs/tmpl.stamp \
@@ -69,22 +71,27 @@
 		sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' Source/autotools/$$file ; \
 	done
 
+	# FIXME: upstream is broken when running pot-update, is why we
+	# create the po directory manually here
 	for version in $(GTK_VERSIONS); do \
 		if [ ! -d build-$${version} ]; then \
 			mkdir build-$${version}; \
+			mkdir -p build-$${version}/Source/WebKit/gtk/po/; \
 		fi; \
 		cd build-$${version}; \
-		env CFLAGS="$(CFLAGS)" \
+		env AR_FLAGS="cruT" \
+		CFLAGS="$(CFLAGS)" \
 		CXXFLAGS="$(CFLAGS)" \
-		CC="gcc -Wl,--as-needed" \
-		CXX="g++ -Wl,--as-needed" \
+		CC="gcc" \
+		CXX="g++" \
 		../configure --prefix=/usr \
+			--disable-silent-rules \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--with-gtk=$${version} \
 			--enable-gtk-doc \
 			--enable-introspection \
-			--disable-geolocation; \
+			--enable-geolocation; \
 		cd ..; \
 	done
 
@@ -96,11 +103,11 @@
 	# first call to make docs fails mid-work, but the second
 	# succeeds.
 	for version in $(GTK_VERSIONS); do \
-		ln -fs ../../../../build-$${version}/Source/WebKit/gtk/docs/version.xml \
+		ln -fs ../../../build-$${version}/Source/WebKit/gtk/docs/version.xml \
 			Source/WebKit/gtk/docs/; \
 		cd build-$${version}/Source/WebKit/gtk/docs; \
 		make docs || make docs; \
-		cd ../../../../..; \
+		cd ../../../../../; \
 	done
 
 	touch $@
@@ -122,9 +129,6 @@
 	install -d -m 755 debian/tmp-2.0/usr/share/doc/libwebkitgtk-dev/html
 	install -m 644 build-2.0/Source/WebKit/gtk/docs/html/* \
 		debian/tmp-2.0/usr/share/doc/libwebkitgtk-dev/html/
-
-	mv debian/tmp-2.0/usr/share/webkit-1.0 \
-		debian/tmp-2.0/usr/share/webkitgtk-1.0
 endif
 
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
@@ -135,10 +139,7 @@
 
 	install -d -m 755 debian/tmp-3.0/usr/share/doc/libwebkitgtk-3.0-dev/html
 	install -m 644 build-3.0/Source/WebKit/gtk/docs/html/* \
-		debian/tmp-3.0/usr/share/doc/libwebkitgtk-3.0-dev/html/
-
-	mv debian/tmp-3.0/usr/share/webkit-3.0 \
-		debian/tmp-3.0/usr/share/webkitgtk-3.0
+	 	debian/tmp-3.0/usr/share/doc/libwebkitgtk-3.0-dev/html/
 endif
 
 	touch $@
@@ -170,12 +171,20 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 ifeq (2.0,$(filter 2.0,$(GTK_VERSIONS)))
+	dh_install -plibjavascriptcoregtk-1.0-0 --sourcedir=debian/tmp-2.0
+	dh_install -plibjavascriptcoregtk-1.0-dev --sourcedir=debian/tmp-2.0
+	dh_install -plibjavascriptcoregtk-1.0-0-dbg --sourcedir=debian/tmp-2.0
+	dh_install -pgir1.2-javascriptcoregtk-1.0 --sourcedir=debian/tmp-2.0
 	dh_install -plibwebkitgtk-1.0-0 --sourcedir=debian/tmp-2.0
 	dh_install -plibwebkitgtk-dev --sourcedir=debian/tmp-2.0
 	dh_install -plibwebkitgtk-1.0-0-dbg --sourcedir=debian/tmp-2.0
 	dh_install -pgir1.2-webkit-1.0 --sourcedir=debian/tmp-2.0
 endif
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
+	dh_install -plibjavascriptcoregtk-3.0-0 --sourcedir=debian/tmp-3.0
+	dh_install -plibjavascriptcoregtk-3.0-dev --sourcedir=debian/tmp-3.0
+	dh_install -plibjavascriptcoregtk-3.0-0-dbg --sourcedir=debian/tmp-3.0
+	dh_install -pgir1.2-javascriptcoregtk-3.0 --sourcedir=debian/tmp-3.0
 	dh_install -plibwebkitgtk-3.0-0 --sourcedir=debian/tmp-3.0
 	dh_install -plibwebkitgtk-3.0-dev --sourcedir=debian/tmp-3.0
 	dh_install -plibwebkitgtk-3.0-0-dbg --sourcedir=debian/tmp-3.0
@@ -183,27 +192,25 @@
 endif
 	dh_link -a
 ifeq (2.0,$(filter 2.0,$(GTK_VERSIONS)))
+	dh_strip -plibjavascriptcoregtk-1.0-0 --dbg-package=libjavascriptcoregtk-1.0-0-dbg
 	dh_strip -plibwebkitgtk-1.0-0 --dbg-package=libwebkitgtk-1.0-0-dbg
 endif
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
+	dh_strip -plibjavascriptcoregtk-3.0-0 --dbg-package=libjavascriptcoregtk-3.0-0-dbg
 	dh_strip -plibwebkitgtk-3.0-0 --dbg-package=libwebkitgtk-3.0-0-dbg
 endif
 	dh_compress -a
 	dh_fixperms -a
 ifeq (2.0,$(filter 2.0,$(GTK_VERSIONS)))
-ifeq ($(DEB_BUILD_ARCH),armel)
-	dh_makeshlibs -plibwebkitgtk-1.0-0 -V 'libwebkitgtk-1.0-0 (>= 1.3.9)'
-else
+	dh_makeshlibs -plibjavascriptcoregtk-1.0-0 -V 'libjavascriptcoregtk-1.0-0 (>= 1.5.1)' -- -c4
 	dh_makeshlibs -plibwebkitgtk-1.0-0 -V 'libwebkitgtk-1.0-0 (>= 1.3.9)' -- -c4
-endif
+	dh_girepository --package=gir1.2-javascriptcoregtk-1.0
 	dh_girepository --package=gir1.2-webkit-1.0
 endif
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
-ifeq ($(DEB_BUILD_ARCH),armel)
-	dh_makeshlibs -plibwebkitgtk-3.0-0 -V 'libwebkitgtk-3.0-0 (>= 1.3.9)'
-else
+	dh_makeshlibs -plibjavascriptcoregtk-3.0-0 -V 'libjavascriptcoregtk-3.0-0 (>= 1.5.1)' -- -c4
 	dh_makeshlibs -plibwebkitgtk-3.0-0 -V 'libwebkitgtk-3.0-0 (>= 1.3.9)' -- -c4
-endif
+	dh_girepository --package=gir1.2-javascriptcoregtk-3.0
 	dh_girepository --package=gir1.2-webkit-3.0
 endif
 	dh_installdeb -a
