=== debian/watch ===
version=3
http://webkitgtk.org/?page=download webkit-([\d]+\.[\d]*[02468]\.[\d]+).tar.gz
